/**
 * This file Copyright (c) 1993-2009 Magnolia International
 * Ltd.  (http://www.magnolia-cms.com). All rights reserved.
 *
 *
 * This file is dual-licensed under both the Magnolia
 * Network Agreement and the GNU General Public License.
 * You may elect to use one or the other of these licenses.
 *
 * This file is distributed in the hope that it will be
 * useful, but AS-IS and WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE, TITLE, or NONINFRINGEMENT.
 * Redistribution, except as permitted by whichever of the GPL
 * or MNA you select, is prohibited.
 *
 * 1. For the GPL license (GPL), you can redistribute and/or
 * modify this file under the terms of the GNU General
 * Public License, Version 3, as published by the Free Software
 * Foundation.  You should have received a copy of the GNU
 * General Public License, Version 3 along with this program;
 * if not, write to the Free Software Foundation, Inc., 51
 * Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * 2. For the Magnolia Network Agreement (MNA), this file
 * and the accompanying materials are made available under the
 * terms of the MNA which accompanies this distribution, and
 * is available at http://www.magnolia-cms.com/mna.html
 *
 * Any modifications to this file must keep this entire header
 * intact.
 *
 */

classDef("mgnl.dms.DMS", {

    searchView: false,

    // this variable is used by the context menu
    selectedPath: "",
    selectedIsFolder: false,

    // this is the object used in the context menu to check the flag
    selectedIsNotFolderCondition:{test: function() {return !mgnl.dms.DMS.selectedIsFolder}},

    show : function(path){
        mgnlOpenWindow(".magnolia/dialogs/dmsEdit.html?mgnlPath=" + path + "&mgnlRepository=dms");
    },

    createNew: function(path){
        mgnlOpenWindow(".magnolia/dialogs/dmsEdit.html?mgnlPath=" + path  + "&mgnlNode=mgnlNew&mgnlRepository=dms");
    },

    // check if it is a folder
    showDialogInTree: function(tree){
       if(tree.selectedNode.itemType=="mgnl:contentNode" && !tree.selectedNode.isDeleted){
            mgnlTreeMenuOpenDialog(tree,'.magnolia/dialogs/dmsEdit.html');
       }
    },

    showVersions: function(path){
        mgnl.admininterface.VersionsList.show('dms', path);
    },

    restoreVersion: function(path, name){
        window.location = contextPath +"/.magnolia/dms/versions.html?mgnlCommand=restore&mgnlPath=" + path + "&mgnlVersion=" + name;
    },

    showVersion: function(path, name){
        mgnlOpenWindow(".magnolia/dialogs/dmsEdit.html?mgnlPath=" + path + "&mgnlRepository=dms&mgnlVersion=" + name);
    },

    downloadFile: function(path){
        document.location = contextPath + "/dms" + path;
    },

    reloadAfterEdit: function(path){
        if(!mgnl.dms.DMS.searchView){
            document.location = contextPath + "/.magnolia/trees/dms.html?mgnlCK=" + mgnlGetCacheKiller() + "&pathSelected=" + path;
        }
        else{
            document.location.reload();
        }
    },

    showInTree: function(path){
        MgnlAdminCentral.showTree('dms', path);
    },

    showTree: function(){
        top.mgnlAdminCentralSwitchExtractTree('dms');
    },

    simpleSearch: function(val){
        if(document.mgnlForm &&  document.mgnlForm.searchStr){
            if(document.mgnlForm.searchAdvanced){
            	document.mgnlForm.searchAdvanced.value = "false";
            }
            document.mgnlForm.searchStr.value = val;
            document.mgnlForm.submit();
        }
        else{
            document.location = contextPath + '/.magnolia/pages/dmsSearchList.html?searchStr=' +val;
        }
    },

    uploadZip: function(path){
        mgnlOpenWindow(".magnolia/pages/dmsZipUpload.html?path=" + path);
    }
});